Bug 275231 - Review Request: php-channel-phing - Adds phing channel to PEAR
Review Request: php-channel-phing - Adds phing channel to PEAR
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 266941
  Show dependency treegraph
 
Reported: 2007-09-03 10:35 EDT by Alexander Kahl
Modified: 2010-07-07 21:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0.0-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-28 17:21:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexander Kahl 2007-09-03 10:35:06 EDT
Spec URL: http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SPECS/php-channel-phing.spec
SRPM URL: http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SRPMS/php-channel-phing-1.0.0-3.fc7.src.rpm
Description: This package adds the phing channel which allows
PEAR packages from this channel to be installed.

--

I'm still searching for a sponsor.
Comment 1 Remi Collet 2007-09-24 12:03:36 EDT
REVIEW 
* no source files
* package meets naming and packaging guidelines (no special guideline for channels).
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible (LGPLv2).
* BuildRequires are proper.
* %clean is present.
* package builds in mock (F7 - x86_64).
* package installs properly
* rpmlint :
W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 9)
W: php-channel-phpdb no-documentation
* final requires 
php-cli >= 5.1.4
php-pear(PEAR)  
* final provides see below
php-channel(pear.phing.info) = 1.0.0-3.fc8
php-channel-phing = 1.0.0-3.fc8
* %check is not present; no test suite provide.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear channel..)
* no documentation 

I don't think you need to requires php-cli >= 5.1.4, why this ?

Should :
correct spec (space/tabs)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides: php-channel(pear.phing.info)
Comment 2 Alexander Kahl 2007-09-25 14:49:00 EDT
Updated Spec URL: http://akahl.fedorapeople.org/php-channel-phing.spec
Updated SRPM URL:
http://akahl.fedorapeople.org/php-channel-phing-1.0.0-4.fc7.src.rpm

Fixed issues:
- removed version number in virtual provides
- replaced static commands with macros wherever applicable
- added post/postun requires for pear
- removed redundant version number requirement for php-cli
Comment 3 Remi Collet 2007-09-25 14:57:07 EDT
All issues fixed

APPROVED
Comment 4 Alexander Kahl 2007-09-25 20:59:43 EDT
New Package CVS Request
=======================
Package Name: php-channel-phing
Short Description: Adds phing channel to PEAR
Owners: akahl
Branches: F-7
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-09-26 12:40:09 EDT
cvs done.
Comment 6 Alexander Kahl 2007-09-26 21:22:27 EDT
All builds successful.
Comment 7 Fedora Update System 2007-09-28 17:21:52 EDT
php-channel-phing-1.0.0-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Christof Damian 2010-07-05 13:21:54 EDT
Package Change Request
======================
Package Name: php-channel-phing
New Branches: EL-6
Owners: cdamian
Comment 9 Kevin Fenzi 2010-07-07 21:12:36 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.